=== debian/changelog ===
ros-indigo-ros-web-video (0.1.14-0trusty) trusty; urgency=high

  * DEPRECATION NOTICE
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Thu, 30 Oct 2014 04:00:00 -0000

ros-indigo-ros-web-video (0.1.13-0trusty) trusty; urgency=high

  * Merge pull request #6 from mitchellwills/develop
    Fix ros_web_video  HTTP header generation
  * Fixed ROS_INFO argument mismatch
  * Fixed HTTP Header generation
  * Contributors: Mitchell Wills, Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Wed, 08 Oct 2014 04:00:00 -0000

ros-indigo-ros-web-video (0.1.12-0trusty) trusty; urgency=high

  * travis speed fix
  * resets SSL flag in cmake
  * travis updated to remove external gits
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Mon, 21 Apr 2014 04:00:00 -0000

ros-indigo-ros-web-video (0.1.11-0trusty) trusty; urgency=high

  * CA-cert fix
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Fri, 18 Apr 2014 04:00:00 -0000

ros-indigo-ros-web-video (0.1.10-0trusty) trusty; urgency=high

  * ignores downloads
  * Remove submodule entry
  * modules removed
  * submodules being weird
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Thu, 17 Apr 2014 04:00:00 -0000

ros-indigo-ros-web-video (0.1.9-0trusty) trusty; urgency=high

  * build now downloads deps
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Thu, 17 Apr 2014 04:00:00 -0000

ros-indigo-ros-web-video (0.1.8-0trusty) trusty; urgency=high

  * submodule now in correct directory
  * travis now runs hydro and groovy and submodules now initilized in build
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Thu, 17 Apr 2014 04:00:00 -0000

ros-indigo-ros-web-video (0.1.7-0trusty) trusty; urgency=high

  * submodule moved to HTTPS
  * git submodules now used instead of willow servers for ffmpeg
  * v1.2.0 libvpx
  * libvpx added
  * moved to submodule
  * cmake cleanup
  * basic cleanup
  * adding travis.yml
  * adding travis.yml
  * Contributors: Julius Kammerl, Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Wed, 16 Apr 2014 04:00:00 -0000

ros-indigo-ros-web-video (0.1.6-0trusty) trusty; urgency=high

  * 0.1.5 -> 0.1.6
  * adding switch to disable file serving
  * adding file_server ros parameter
  * package.xml
  * renaming project to ros_web_video
  * Contributors: Julius Kammerl

 -- Russell Toris <rctoris@wpi.edu>  Thu, 16 May 2013 04:00:00 -0000

ros-indigo-ros-web-video (0.1.5-0trusty) trusty; urgency=high

  * 0.1.4 -> 0.1.5
  * patching "codec not found" crash
  * Contributors: Julius Kammerl

 -- Russell Toris <rctoris@wpi.edu>  Mon, 22 Apr 2013 04:00:00 -0000

ros-indigo-ros-web-video (0.1.4-0trusty) trusty; urgency=high

  * 0.1.3 -> 0.1.4
  * patching ffmpeg bug
  * Contributors: Julius Kammerl

 -- Russell Toris <rctoris@wpi.edu>  Wed, 17 Apr 2013 04:00:00 -0000

ros-indigo-ros-web-video (0.1.3-0trusty) trusty; urgency=high

  * 0.1.2 -> 0.1.3
  * adding download_checkmd5.py to 3rdparty
  * Contributors: Julius Kammerl

 -- Russell Toris <rctoris@wpi.edu>  Fri, 15 Feb 2013 05:00:00 -0000

ros-indigo-ros-web-video (0.1.2-0trusty) trusty; urgency=high

  * 0.1.1 -> 0.1.2
  * adding mk package dependency
  * Contributors: Julius Kammerl

 -- Russell Toris <rctoris@wpi.edu>  Thu, 14 Feb 2013 21:23:00 -0000

ros-indigo-ros-web-video (0.1.1-0trusty) trusty; urgency=high

  * version 0.1.1
  * integrating download_unpack_build.mk
  * Contributors: Julius Kammerl

 -- Russell Toris <rctoris@wpi.edu>  Thu, 14 Feb 2013 19:21:00 -0000

ros-indigo-ros-web-video (0.1.0-0trusty) trusty; urgency=high

  * version 0.1.0
  * adding download script to 3rdparty dir
  * Removed the '?' prefix requirement for URLs
  * making http headers optional
  * removing depthcloud proof-of-concept code
  * removed bad bzip2 dependecy
  * adding missing bzip2 dependency
  * more catkinization
  * adding zlib dependency to CMakeLists.txt and package.xml
  * Merge branch 'groovy-devel' of github.com:RobotWebTools/ros_http_video_streamer into groovy-devel
  * adding zlib to package.xml
  * minor.. added comments
  * adding MIME types for css and javascript files
  * fixing wwwroot bug
  * adding debug output to web file server
  * renaming webGL_pointcloud_image_encoder in CMakeList
  * renaming web_gl pointlcoud converter node
  * switching to local rosparam nodehandle + additional debug output
  * Merge pull request #2 <https://github.com/RobotWebTools/ros_web_video/issues/2> from jon-weisz/cmake_fixcmake-fix-for-3rdparty
    fixed 3rdparty library build problem in ros_http_video_streamer by expli...
  * fixed 3rdparty library build problem in ros_http_video_streamer by explicitly executing the make command in CMakeLists.txt
  * more ffmpeg tuning
  * adding rosparam parameter in order to define the ROS image transport
  * adding filter in order to remove raw image topics from topic list
  * fixed encoding <-> data transmission synchronization
  * adding additional parameters to server configuration
  * adding roscpp and rostime deps
  * catkinizing image streamer
  * Adding 3rdparty checkout&compilation to CMake
  * Merge pull request #1 <https://github.com/RobotWebTools/ros_web_video/issues/1> from KaijenHsiao/master
    added rosdep for yasm
  * added rosdep for yasm
  * adding mutex lock manager
  * adding additional mutext to protect av_open/av_close
  * explicit ffmpeg_wrapper shutdown
  * adding ROS makefile
  * cleanup
  * restructured javascript code
  * ffmepg initialization startup protection
  * transfercoding header fix
  * minor
  * shared pointers seem to be reused in openni_launch
  * more thread security
  * more mleak fixing
  * fixing memory leak
  * switching back to image transport
  * moving OrbitControls.js to js folder
  * Adding orbit control to webgl pointcloud viewer
  * unsubscribe from image topics in deconstructor
  * Merge branch 'master' of github.com:ros-interactive-manipulation/ros_http_video_streamer

