=== debian/control ===
Source: ros-indigo-ros-web-video
Section: misc
Priority: extra
Maintainer: Russell Toris <rctoris@wpi.edu>
Build-Depends: debhelper (>= 9.0.0), git-core, libbz2-dev, ros-indigo-catkin, ros-indigo-image-transport, ros-indigo-mk, ros-indigo-roscpp, ros-indigo-rostime, ros-indigo-sensor-msgs, yasm, zlib1g-dev
Homepage: http://wiki.ros.org/ros_web_video
Standards-Version: 3.9.2

Package: ros-indigo-ros-web-video
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libbz2-dev, ros-indigo-image-transport, ros-indigo-mk, ros-indigo-roscpp, ros-indigo-rostime, ros-indigo-sensor-msgs, zlib1g-dev
Description: Streaming of ROS Image Topics via HTTP
